| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Private Attributes

# IG::Num::Func3d2dExamples::EllipsoidParametric Class Reference

Parametric equation of an origin-centered ellipsoid surface in form of 3D vector function of 2 variables. More...

Inheritance diagram for IG::Num::Func3d2dExamples::EllipsoidParametric:
[legend]
Collaboration diagram for IG::Num::Func3d2dExamples::EllipsoidParametric:
[legend]

List of all members.

## Public Member Functions
| EllipsoidParametric ()
| Construct an ellipsoid with some typical values for half-axes.
| EllipsoidParametric (double a, double b, double c)
| Constructs parametric definition of an origin-centered ellipsoid by the specified values of half-axes.
## Public Attributes
double | a
## Protected Member Functions
override double | f1 (double u, double v)
override double | f2 (double u, double v)
override double | f3 (double u, double v)
## Private Attributes
double | b
double | c

## Detailed Description

Parametric equation of an origin-centered ellipsoid surface in form of 3D vector function of 2 variables.

$A Igor Oct09;

## Constructor & Destructor Documentation

IG::Num::Func3d2dExamples::EllipsoidParametric::EllipsoidParametric | ( |  | ) | `[inline]`

Construct an ellipsoid with some typical values for half-axes.

IG::Num::Func3d2dExamples::EllipsoidParametric::EllipsoidParametric | ( | double | a,
|  | double | b,
|  | double | c
| ) |  | `[inline]`

Constructs parametric definition of an origin-centered ellipsoid by the specified values of half-axes.

Parameters:

  a | Half-axis in the first coordinate direction.
  b | Half-axis in the second coordinate direction.
  c | Half-axis in the third coordinate direction.

## Member Function Documentation

override double IG::Num::Func3d2dExamples::EllipsoidParametric::f1 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

Reimplemented in IG::Num::Func3d2dExamples::MobiusStrip.

override double IG::Num::Func3d2dExamples::EllipsoidParametric::f2 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

Reimplemented in IG::Num::Func3d2dExamples::MobiusStrip.

override double IG::Num::Func3d2dExamples::EllipsoidParametric::f3 | ( | double | u,
|  | double | v
| ) |  | `[inline, protected, virtual]`

Implements IG::Num::Func3d2dExamples::ParametricSurface.

Reimplemented in IG::Num::Func3d2dExamples::MobiusStrip.

## Member Data Documentation

double IG::Num::Func3d2dExamples::EllipsoidParametric::a

double IG::Num::Func3d2dExamples::EllipsoidParametric::b`[private]`

double IG::Num::Func3d2dExamples::EllipsoidParametric::c`[private]`

The documentation for this class was generated from the following file:

- Function3d2d.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events